Name:           mediawiki123-HTTP302Found
Version:        2.0.1
Release:        3%{?dist}
Summary:        Forces an external HTTP 302 redirect instead of internal redirects

Group:          Applications/Internet
License:        GPLv2+
URL:            http://www.mediawiki.org/wiki/Extension:HTTP302Found
Source0:        http://puiterwijk.fedorapeople.org/releases/HTTP302Found-%{version}.tar.gz
BuildArch:      noarch

Requires:       mediawiki123

%description
Pushes a HTTP code 302 (Found) to the browser when there is a redirect instead
of handling it internally. The end user will not notice any difference (other
than the address to the page having an ?rd=Redirecting_page bit at the end).


%prep
%setup -q -n HTTP302Found-2.0.1
echo 'To complete installation of %{name}, add the following lines to LocalSettings.php:

    require_once("$IP/extensions/HTTP302Found/HTTP302Found.php");

for each MediaWiki instance you wish to install %{name} on.' > README.fedora


%build


%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_datadir}/mediawiki123/extensions/HTTP302Found/
install -cpm 644 %{_builddir}/%{buildsubdir}/*.php %{buildroot}%{_datadir}/mediawiki123/extensions/HTTP302Found/


%files
%defattr(-,root,root,-)
%license COPYING
%doc README.fedora
%{_datadir}/mediawiki123/extensions/HTTP302Found


%changelog
* Fri Apr 17 2015 Patrick Uiterwijk <puiterwijk@redhat.com> - 2.0.1-3
- Built for mediawiki 1.23

* Sun Aug 12 2012 Patrick Uiterwijk <puiterwijk@gmail.com> - 2.0.1-2
- Fixed files and added COPYING

* Sun Aug 12 2012 Patrick Uiterwijk <puiterwijk@gmail.com> - 2.0.1-1
- Update Required to real required version
- Added a COPYING to the sources
- MediaWiki119 package version

* Sun Aug 12 2012 Patrick Uiterwijk <puiterwijk@gmail.com> - 2.0-1
- Complete rewrite for MediaWiki 1.19

* Mon Jun 15 2009 Ian Weller <ian@ianweller.org> - 1.0-1
- Initial package build
